package com.ag.rate.tariff.test;

/**
 * Created by Administrator on 2018-03-15.
 */
public class TestCallBack {
    public void compute(int n, ComputeCallBack callback) {
        double qutity = 10000;
        for (int i = 0; i < n; i++) {
            qutity = qutity * 1.1;
            System.out.println((i+1)+":"+qutity);
        }
        callback.onComputeEnd();
        System.out.println("game over!");
    }
}
